clear;               
w0 = 2*pi * 2.2e9;
Tm = 12*3600;

               
sgn_a = (0:400)/100;

q = [32 34 36];

T = 1e-3;

hold on
     
for i=1:size(q, 2)
    Sxi  = (w0/3e8)^2*(2*T/Tm)*sgn_a;
    Seta = 1/2/(10^(q(i)/10))*(1+1/2/(10^(q(i)/10))/T);
    SgnF = sqrt(3)*(Sxi *  Seta).^(1/4);

    plot(sgn_a, SgnF)
    fid = fopen(sprintf('SKOfreq_q_%2d.txt', q(i)), 'w');
    fprintf(fid, '%g  %g\n', [sgn_a; SgnF]);
    fclose(fid);
end
