clear;

w0 = 2*pi * 2.2e9;
%Tm = 12*3600;
Tm = 2.2e3;

q = (340:400)/10;

T = 1e-3;

sgn_a = 0.15;

Sxi  = (w0/3e8)^2*(2*T/Tm)*sgn_a;

SgnF = zeros(size(q));

df   = zeros(size(q));

for i=1:size(q, 2)

    Seta = 1/2/(10^(q(i)/10))*(1+1/2/(10^(q(i)/10))/T);
    SgnF(i) = sqrt(3)*(Sxi *  Seta).^(1/4);
    
    df(i) = 5/6 * (Sxi/Seta) .^(1/6);
end

plot(q, SgnF)

fid = fopen(sprintf('SKOfreq_q.txt', q(i)), 'w');
fprintf(fid, '%g  %g\n', [q; SgnF]);
fclose(fid);

plot(q, df)

fid = fopen(sprintf('BamiPhaseDF_q.txt', q(i)), 'w');
fprintf(fid, '%g  %g\n', [q; df]);
fclose(fid);

